Package org.apache.avro

# Class SchemaBuilder.FixedDefault<R>

java.lang.Object
org.apache.avro.SchemaBuilder.FieldDefault<R,SchemaBuilder.FixedDefault<R>>
org.apache.avro.SchemaBuilder.FixedDefault<R>

Enclosing class:
  `SchemaBuilder`

public static class SchemaBuilder.FixedDefault<R> extends SchemaBuilder.FieldDefault<R,SchemaBuilder.FixedDefault<R>>
Choose whether to use a default value for the field or not.

## Method Summary

Modifier and Type
Method
Description
`final SchemaBuilder.FieldAssembler<R>`
`fixedDefault(byte[] defaultVal)`
Completes this field with the default value provided, cannot be null
`final SchemaBuilder.FieldAssembler<R>`
`fixedDefault(String defaultVal)`
Completes this field with the default value provided, cannot be null.
`final SchemaBuilder.FieldAssembler<R>`
`fixedDefault(ByteBuffer defaultVal)`
Completes this field with the default value provided, cannot be null

### Methods inherited from class org.apache.avro.SchemaBuilder.FieldDefault

`noDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### fixedDefault

public final SchemaBuilder.FieldAssembler<R> fixedDefault(byte[] defaultVal)
Completes this field with the default value provided, cannot be null

### fixedDefault

public final SchemaBuilder.FieldAssembler<R> fixedDefault(ByteBuffer defaultVal)
Completes this field with the default value provided, cannot be null

### fixedDefault

public final SchemaBuilder.FieldAssembler<R> fixedDefault(String defaultVal)
Completes this field with the default value provided, cannot be null. The string is interpreted as a byte[], with each character code point value equalling the byte value, as in the Avro spec JSON default.